#ifndef __ARG_PARSER_H__
#define __ARG_PARSER_H__

#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <cassert>

class ArgParser {

public:

  ArgParser() { DefaultValues(); }

  ArgParser(int argc, char *argv[]) {
    DefaultValues();

    for (int i = 1; i < argc; i++) {
      if (!strcmp(argv[i],"-input")) {
	i++; assert (i < argc); 
	input_file = argv[i];
      } else {
	printf ("whoops error with command line argument %d: '%s'\n",i,argv[i]);
	assert(0);
      }
    }
  }

  void DefaultValues() {
    input_file = NULL;
  }

  // ==============
  // REPRESENTATION
  // all public! (no accessors)

  char *input_file;
};

#endif
