#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#include <GL/gl.h>
#include <GL/glu.h>

#include "camera.h"
#include "mesh.h"

extern GLsizei s_width;
extern GLsizei s_height;

extern Camera *camera;
extern Mesh *scene_mesh;
extern int mouseButton, mouseX, mouseY, controlPressed;
extern bool ssao_toggle, blur_toggle, outline_toggle, color_toggle, toon_toggle, lighting_toggle;

#endif
