// specular.fs
//
// per-pixel specular lighting

varying vec3 N;

void main(void)
{
	vec3 NN = normalize(N);
	float ndot = dot(NN.xyz, vec3(0.0, 0.0, 1.0));
	
    if (ndot < 0.5)
    {
    	gl_FragColor = vec4(0.0, 0.0, 0.0, gl_Color.a);
    }
    else
    {
    	gl_FragColor = vec4(NN, gl_Color.a);
    }
}
